OGRE-Next: Ogre::BySkeletonDef Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::BySkeletonDef Struct Reference
Core » Animation

`#include <OgreSkeletonAnimManager.h>`

## Public Member Functions
| BySkeletonDef (const SkeletonDef *skeletonDef, size_t threadCount)
void | _updateBoneStartTransforms ()
void | initializeMemoryManager ()
bool | operator== (IdString name) const
void | updateThreadStarts ()

## Public Attributes
BoneMemoryManager | boneMemoryManager
SkeletonDef const * | skeletonDef
IdString | skeletonDefName
FastArray< SkeletonInstance * > | skeletons
| MUST be sorted by location in its BoneMemoryManager's slot (in order to update in parallel without causing race conditions).
FastArray< size_t > | threadStarts
| One per thread (plus one), tells where we should start from in each thread.

## Constructor & Destructor Documentation

## ◆ BySkeletonDef()

Ogre::BySkeletonDef::BySkeletonDef | ( | const SkeletonDef * | skeletonDef,
|  | size_t | threadCount )

References skeletonDef.

## Member Function Documentation

## ◆ _updateBoneStartTransforms()

void Ogre::BySkeletonDef::_updateBoneStartTransforms | ( |  | ) |

## ◆ initializeMemoryManager()

void Ogre::BySkeletonDef::initializeMemoryManager | ( |  | ) |

## ◆ operator==()

bool Ogre::BySkeletonDef::operator== | ( | IdString | name | ) | const
| inline

References skeletonDefName.

## ◆ updateThreadStarts()

void Ogre::BySkeletonDef::updateThreadStarts | ( |  | ) |

## Member Data Documentation

## ◆ boneMemoryManager

BoneMemoryManager Ogre::BySkeletonDef::boneMemoryManager

## ◆ skeletonDef

SkeletonDef const* Ogre::BySkeletonDef::skeletonDef

Referenced by BySkeletonDef().

## ◆ skeletonDefName

IdString Ogre::BySkeletonDef::skeletonDefName

Referenced by operator==().

## ◆ skeletons

FastArray<SkeletonInstance *> Ogre::BySkeletonDef::skeletons

MUST be sorted by location in its BoneMemoryManager's slot (in order to update in parallel without causing race conditions).

See also
  threadStarts

## ◆ threadStarts

FastArray<size_t> Ogre::BySkeletonDef::threadStarts

One per thread (plus one), tells where we should start from in each thread.

It's not exactly skeletons.size() / mNumWorkerThreads because we need to account that instances that share the same memory block.

The documentation for this struct was generated from the following file:

- OgreSkeletonAnimManager.h